Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 17,025
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

change the JRE to 5.0.0
if it is not available download it using the update page in eclipse
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Highlighted
Developer
Posts: 255
Registered: ‎05-03-2012
My Device: 9930
My Carrier: Vodafone

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

[ Edited ]

I am not getting download link..i have searched on this forum..also googled it..

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

Developer
Posts: 255
Registered: ‎05-03-2012
My Device: 9930
My Carrier: Vodafone

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

thanx peter..
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

[ Edited ]

<edit>

Following post was actually meant to follow a previous post and is now redundant.  But I will leave it in as it might contain useful information for other reader.

 

Cheers

 

</edit>

 

As Simon says, the level depends on the devices you are trying to build for.  But later devices have more features making it easier to develop, so there is a cut off point where you need to decide whether the effort is going to matched to the reward.

 

To find out the OS level on a phone or Simulator, use Options --> About.

 

Have a look here for some stats that may help you decide:

https://developer.blackberry.com/appworld/

 

I personally develop for OS 5.0 and above only, unless required otherwise.

Developer
Posts: 255
Registered: ‎05-03-2012
My Device: 9930
My Carrier: Vodafone

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

Thank you for additional information peter. I want one advice from you. Can you please tell me from which Blackberry O.S. my app should support?? I want your personal advice.
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Class 'net.rim.device.api.ui.ScrollView' not found in JDE 5

As noted in my previous post. I personally would not develop for any OS before OS 5.0 unless I really have too.

 

But it might also depend on what facilities your app requires.  For example, if you need to use NFC, then you are talking OS 7 only.